import { NewWindowOptions } from '../../common/window';
import { DefaultWindowService } from '../../browser/window/default-window-service';
import { ElectronMainWindowService } from '../../electron-common/electron-main-window-service';
import { ElectronWindowPreferences } from './electron-window-preferences';
import { CloseRequestArguments } from '../../electron-common/messaging/electron-messages';
export declare class ElectronWindowService extends DefaultWindowService {
    /**
     * Lock to prevent multiple parallel executions of the `beforeunload` listener.
     */
    protected isUnloading: boolean;
    /**
     * Close the window right away when `true`, else check if we can unload.
     */
    protected closeOnUnload: boolean;
    protected readonly delegate: ElectronMainWindowService;
    protected readonly electronWindowPreferences: ElectronWindowPreferences;
    openNewWindow(url: string, { external }?: NewWindowOptions): undefined;
    openNewDefaultWindow(): void;
    protected init(): void;
    protected registerUnloadListeners(): void;
    /**
     * Run when ElectronMain detects a `close` event and emits a `close-requested` event.
     * Should send an event to `electron.ipcRenderer` on the event's `confirmChannel` if it is safe to exit
     * after running FrontendApplication `onWillStop` handlers or on the `cancelChannel` if it is not safe to exit.
     */
    protected handleCloseRequestedEvent(event: CloseRequestArguments): Promise<void>;
    /**
     * Updates the window zoom level based on the preference value.
     */
    protected updateWindowZoomLevel(): void;
    reload(): void;
}
//# sourceMappingURL=electron-window-service.d.ts.map